Index: /trunk/psLib/test/FullUnitTest
===================================================================
--- /trunk/psLib/test/FullUnitTest	(revision 1544)
+++ /trunk/psLib/test/FullUnitTest	(revision 1545)
@@ -19,6 +19,6 @@
 #  RETURN : integer number of tests which failed
 #
-#  $Revision: 1.12 $  $Name: not supported by cvs2svn $
-#  $Date: 2004-08-11 23:42:49 $
+#  $Revision: 1.13 $  $Name: not supported by cvs2svn $
+#  $Date: 2004-08-14 02:27:02 $
 #
 #  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
@@ -125,7 +125,11 @@
     # Display summary of failures
     print("\nMake Failures = $makeFailCount out of $totalMakes");
-    print("\nTest Driver Failures = $testDriverFailCount out of $totalTestDrivers\n");
-    print( "\nMakes that failed:\n  " . join( "\n  ", @makesFailed ) . "\n" ) if $makeFailCount;
-    print( "\nTests that failed:\n  " . join( "\n  ", @testsFailed ) . "\n" ) if $testDriverFailCount;
+    print(
+"\nTest Driver Failures = $testDriverFailCount out of $totalTestDrivers\n"
+    );
+    print( "\nMakes that failed:\n  " . join( "\n  ", @makesFailed ) . "\n" )
+      if $makeFailCount;
+    print( "\nTests that failed:\n  " . join( "\n  ", @testsFailed ) . "\n" )
+      if $testDriverFailCount;
 }
 else {
@@ -133,5 +137,8 @@
     # Display message of all makes and tests pass to user if silent option
     # not specified
-    print("\nAll $totalTestDrivers Test Drivers Passed with $totalTestpoints Testpoints.\n") if ( !$silent );
+    print(
+"\nAll $totalTestDrivers Test Drivers Passed with $totalTestpoints Testpoints.\n"
+      )
+      if ( !$silent );
 }
 
@@ -327,14 +334,14 @@
                 if ( &checkForVerifiedDirectory() ) {
 
-                    # Display message to user that verified directories do not
-                    # exist eventhough TST files have been found
-                    #                    print("Unable to execute test drivers in $base_dir\n");
+    # Display message to user that verified directories do not
+    # exist eventhough TST files have been found
+    #                    print("Unable to execute test drivers in $base_dir\n");
                     print("No verified subdirectory present.\n") if ($verbose);
 
-                    # Increment test fail count
-                    #                   $testDriverFailCount++;
-                    # Save the file failed
-                    #                    push(@testsFailed, $pwd . "/" . $files[$j]);
-                    #                    return;
+               # Increment test fail count
+               #                   $testDriverFailCount++;
+               # Save the file failed
+               #                    push(@testsFailed, $pwd . "/" . $files[$j]);
+               #                    return;
                 }
             }
@@ -344,5 +351,7 @@
 
             # Execute the test driver
-            system("./$files[$j] 1> temp/$files[$j].stdout 2> temp/$files[$j].stderr");
+            system(
+"./$files[$j] 1> temp/$files[$j].stdout 2> temp/$files[$j].stderr"
+            );
             $retVal = $?;
 
@@ -351,6 +360,8 @@
             $totalPoints = `grep -c $testPattern temp/$files[$j].stdout`;
             $totalPoints += `grep -c $testPattern temp/$files[$j].stderr`;
-            $failPoints = `grep "> TESTPOINT FAILED" temp/$files[$j].stdout | wc -l`;
-            $failPoints         += `grep "> TESTPOINT FAILED" temp/$files[$j].stderr | wc -l`;
+            $failPoints =
+              `grep "> TESTPOINT FAILED" temp/$files[$j].stdout | wc -l`;
+            $failPoints +=
+              `grep "> TESTPOINT FAILED" temp/$files[$j].stderr | wc -l`;
             $testpointFailCount += $failPoints;
             $totalTestpoints    += $totalPoints;
@@ -363,5 +374,6 @@
                 # Display test driver failed
                 $failPoints++;
-                print("Test driver: $files[$j] Failed (Return value $retVal).\n");
+                print(
+                    "Test driver: $files[$j] Failed (Return value $retVal).\n");
 
                 # Increment the total number of test failed
@@ -373,6 +385,6 @@
             else {
 
-                # Create filter versions of STDOUT and STDERR to replace variable
-                # items such as date, time and host
+               # Create filter versions of STDOUT and STDERR to replace variable
+               # items such as date, time and host
                 &filterStdFiles( $files[$j] );
 
@@ -392,5 +404,7 @@
 
                     # Push test on failed list
-                    print("Test failed ($failPoints out of $totalPoints testpoints failed)\n")
+                    print(
+"Test failed ($failPoints out of $totalPoints testpoints failed)\n"
+                      )
                       if ( !$silent );
                     push( @testsFailed, $pwd . "/" . $files[$j] );
@@ -412,10 +426,13 @@
 
                         # Push test on failed list
-                        print("Test failed ($failPoints out of $totalPoints testpoints failed)\n")
+                        print(
+"Test failed ($failPoints out of $totalPoints testpoints failed)\n"
+                          )
                           if ( !$silent );
                         push( @testsFailed, $pwd . "/" . $files[$j] );
                     }
                     else {
-                        print("Test successful ($totalPoints testpoints)\n") if ( !$silent );
+                        print("Test successful ($totalPoints testpoints)\n")
+                          if ( !$silent );
                     }
                 }
@@ -462,9 +479,13 @@
             print;
             if ( $fileName =~ m/out/ ) {
-                print("        Failed - File $fileName contains error strings.\n");
+                print(
+                    "        Failed - File $fileName contains error strings.\n"
+                );
                 $returnVal = 64;
             }
             elsif ( $fileName =~ m/err/ ) {
-                print("        Failed - File $fileName contains error strings.\n");
+                print(
+                    "        Failed - File $fileName contains error strings.\n"
+                );
                 $returnVal = 128;
             }
@@ -644,4 +665,5 @@
         s/: Line \d+/: Line <LINENO>/g;
         s/\:\d+/\:<LINENO>/g;
+        s/allocate \d+ bytes at/allocate <N> bytes at/g;
 
         # Filter lines with *** malloc.  This is an artifact of Mac testing of
@@ -671,4 +693,5 @@
         s/: Line \d+/: Line <LINENO>/g;
         s/\:\d+/\:<LINENO>/g;
+        s/allocate \d+ bytes at/allocate <N> bytes at/g;
 
         # Filter lines with *** malloc.  This is an artifact of Mac testing of
Index: /trunk/psLib/test/runTest
===================================================================
--- /trunk/psLib/test/runTest	(revision 1544)
+++ /trunk/psLib/test/runTest	(revision 1545)
@@ -30,5 +30,5 @@
 #
 #  $Revison:  $  $Name: not supported by cvs2svn $
-#  $Date: 2004-08-11 23:42:49 $
+#  $Date: 2004-08-14 02:27:02 $
 #
 #  Copyright 2004 Maui High Performance Computering Center, University of Hawaii
@@ -48,5 +48,6 @@
 
 if ($help) {
-    print "Usage: runTest [--reset] [--resetStderr] [--resetStdout] testfile(s)\n\n";
+    print
+"Usage: runTest [--reset] [--resetStderr] [--resetStdout] testfile(s)\n\n";
     exit(0);
 }
@@ -124,8 +125,12 @@
             # Display failure message with return value to user
             if ( $? != 0 && ( $testFile !~ /^A/i ) ) {
-                print("        Failed - Test Driver expected 0 return value (Return value $?)\n");
+                print(
+"        Failed - Test Driver expected 0 return value (Return value $?)\n"
+                );
             }
             elsif ( $? == 0 && ( $testFile =~ /^A/i ) ) {
-                print("        Failed - Test Driver expected abort (Return value $?)\n");
+                print(
+"        Failed - Test Driver expected abort (Return value $?)\n"
+                );
             }
             $exitValue |= 256;
@@ -144,5 +149,5 @@
             open( MODFILE2, "> verified/$testFile.stdout" ) if $resetStdout;
 
-            # Replace the variable date, time and host information with constants
+           # Replace the variable date, time and host information with constants
             $hostname = `hostname`;
             chop $hostname;
@@ -153,7 +158,8 @@
                 s/: Line \d+/: Line <LINENO>/g;
                 s/\:\d+/\:<LINENO>/g;
-
-                # Filter lines with malloc.  This is an artifact of memory testing
-                # with the Mac testbed
+                s/allocate \d+ bytes at/allocate <N> bytes at/g;
+
+              # Filter lines with malloc.  This is an artifact of memory testing
+              # with the Mac testbed
                 if ( !m/\*\*\*\smalloc/ ) {
                     print MODFILE ($_);
@@ -176,5 +182,5 @@
             open( MODFILE2, "> verified/$testFile.stderr" ) if $resetStderr;
 
-            # Replace the variable date, time and host information with constants
+           # Replace the variable date, time and host information with constants
             while (<OUTFILE>) {
                 s/\s+\d+:\d+:\d+\w/<TIME>/g;
@@ -183,7 +189,8 @@
                 s/: Line \d+/: Line <LINENO>/g;
                 s/\:\d+/\:<LINENO>/g;
-
-                # Filter lines with malloc.  This is an artifact of memory testing
-                # with the Mac testbed
+                s/allocate \d+ bytes at/allocate <N> bytes at/g;
+
+              # Filter lines with malloc.  This is an artifact of memory testing
+              # with the Mac testbed
                 if ( !m/\*\*\*\smalloc/ ) {
                     print MODFILE ($_);
@@ -226,5 +233,7 @@
         # Since test driver doesn't exist or is not executable then display
         # message to user.
-        print("        Need to specify an executable test file within directory.\n");
+        print(
+"        Need to specify an executable test file within directory.\n"
+        );
 
         # Exit value set to indicate test driver doesn't exist or not executable
@@ -279,9 +288,13 @@
         {
             if ( $fileName =~ m/out/ ) {
-                print("        Failed - File $fileName contains error strings.\n");
+                print(
+                    "        Failed - File $fileName contains error strings.\n"
+                );
                 $returnVal = 64;
             }
             elsif ( $fileName =~ m/err/ ) {
-                print("        Failed - File $fileName contains error strings.\n");
+                print(
+                    "        Failed - File $fileName contains error strings.\n"
+                );
                 $returnVal = 128;
             }
Index: /trunk/psLib/test/sysUtils/verified/tst_psMemory.stderr
===================================================================
--- /trunk/psLib/test/sysUtils/verified/tst_psMemory.stderr	(revision 1544)
+++ /trunk/psLib/test/sysUtils/verified/tst_psMemory.stderr	(revision 1545)
@@ -17,5 +17,5 @@
 <DATE><TIME>|<HOST>|I|  TPOutOfMemory|Upon requesting more memory than is available, psalloc shall call the psMemExhaustedCallback.
 <DATE><TIME>|<HOST>|I|TPOutOfMemoryEx|Custom MemExhaustedCallback was invoked.
-<DATE><TIME>|<HOST>|A|      p_psAlloc|Failed to allocate 4294966295 bytes at tst_psMemory.c:<LINENO>
+<DATE><TIME>|<HOST>|A|      p_psAlloc|Failed to allocate <N> bytes at tst_psMemory.c:<LINENO>
 
 ---> TESTPOINT PASSED (psMemory{outOfMemory} | tst_psMemory.c)
@@ -28,5 +28,5 @@
 
 <DATE><TIME>|<HOST>|I|TPReallocOutOfM|Upon requesting more memory than is available, psRealloc shall call the psMemExhaustedCallback.
-<DATE><TIME>|<HOST>|A|    p_psRealloc|Failed to reallocate -1001 bytes at tst_psMemory.c:<LINENO>
+<DATE><TIME>|<HOST>|A|    p_psRealloc|Failed to reallocate <N> bytes at tst_psMemory.c:<LINENO>
 
 ---> TESTPOINT PASSED (psMemory{reallocOutOfMemory} | tst_psMemory.c)
